%define version 0.5.1.1
%define release 1
%define name minkowsky-server

Distribution: SuSE Linux 7.1 (PPC)
Name: %{name}

Group: Applications/Office 
Provides: %{name}
Version: %{version}
Release: %{release}
Summary: Server-application of Minkowsky groupware/PIM software 
Source: http://www.r-goetz.de/minkowsky/src/minkowsky-server-%{version}.tar.gz
URL: http://www.r-goetz.de/minkowsky
BuildRoot: /home/goetz/rpm/tmp/minko-buildroot 
License: GPL
Requires: shellutl print_daemon 

%description 
Minkowsky is a combined tool to coordinate Calendars, Task lists and addresses
of groups (e.g. companies) within a LAN. Its a client server application.
This is the server part.

%prep 
rm -rf $RPM_BUILD_ROOT 
%setup -n %{name}-%{version}


%build 
unixX11/doBuild.sh /opt/minkowsky /var/minkowsky/share minkowsky 41999 undefined $RPM_BUILD_ROOT


%install 
%makeinstall
make install-rpm

%pre
test -e /etc/minkowsky && mv /etc/minkowsky /etc/minkowsky.prv || /bin/true

%post
mv /opt/minkowsky/server/postInstall.sh /tmp
chmod u+rx /tmp/postInstall.sh
/tmp/postInstall.sh /etc/minkowsky.prv /opt/minkowsky/server 41999
rm /tmp/postInstall.sh

%preun
touch /opt/minkowsky/server/postInstall.sh
cp /etc/minkowsky /etc/minkowsky.keep
cd /etc/rc.d
insserv -r minkowsky

%postun
cat /etc/minkowsky.keep |egrep  "^MINKO" >> /etc/minkowsky
rm /etc/minkowsky.keep
rm -rf /opt/minkowsky/server

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 

%config /etc/minkowsky
/etc/rc.d/minkowsky
/opt/minkowsky



%changelog 

